<?php
$lx=$_GET["lx"];
$file = $_GET["url"];

if ($lx=='md'){
	//创建文件夹
		function mkDirs($dir){
			if(!is_dir($dir)){
				if(!mkDirs(dirname($dir))){ return false;}
				if(!mkdir($dir,0777)){return false;}
			}return true;
		}
		mkDirs($file);

	}
if($lx=='del'){
	//删除文件
	if (!unlink($file)){echo ("删除失败");}else{echo ("删除成功");}
}
	
if($lx=='rd'){
	//删除文件夹 
	function delDirAndFile( $dirName ) 
	{ 
	if ($handle = opendir( "$dirName" ) ) { 
	while ( false !== ( $item = readdir( $handle ) ) ) { 
	if ( $item != "." && $item != ".." ) { 
	if ( is_dir( "$dirName/$item" ) ) { 
	delDirAndFile( "$dirName/$item" ); 
	} else { 
	if( unlink( "$dirName/$item" ) )echo "成功删除文件： $dirName/$item"; 
	}}} 
	closedir( $handle ); 
	if( rmdir( $dirName ) )echo "成功删除目录： $dirName"; 
	} 
	} 
	delDirAndFile( $file); 
}	



	
?>
